## libswe 2.10.03

=== Makefile ===
# this Makefile creates a SwissEph library and a swetest sample on 64-bit
# Redhat Enterprise Linux RHEL 7.

# The mode marked as 'Linux' should also work with the GNU C compiler
# gcc on other systems. 

# If you modify this makefile for another compiler, please
# let us know. We would like to add as many variations as possible.
# If you get warnings and error messages from your compiler, please
# let us know. We like to fix the source code so that it compiles
# free of warnings.
# send email to the Swiss Ephemeris mailing list.
# 

CFLAGS =  -g -Wall -fPIC # for Linux and other gcc systems
CFLAGS =  -O2 -Wall -fPIC # for Linux and other gcc systems
OP=$(CFLAGS)  
CC=cc	#for Linux

# compilation rule for general cases
.o :
	$(CC) $(OP) -o $@ $? -lm
.c.o:
	$(CC) -c $(OP) $<     

SWEOBJ = swedate.o swehouse.o swejpl.o swemmoon.o swemplan.o sweph.o\
	 swephlib.o swecl.o swehel.o

all:	swetest swetests swevents swemini

# build swetest with SE linked in, using dynamically linked system libraries libc, libm, libdl.
swetest: swetest.o libswe.a
	$(CC) $(OP) -o swetest swetest.o -L. -lswe -lm -ldl

# build a statically linked version of swetest. first find out where libc.a and libm.a reside,
# and add this path with -L like below
# a statically linked program will run on any Linux variant, independent of dynamic system libraries.
swetests: swetest.o $(SWEOBJ)
	$(CC)  $(OP) -static -L/usr/lib/x86_64-redhat-linux6E/lib64/ -o swetests swetest.o $(SWEOBJ) -lm -ldl

swevents: swevents.o libswe.a
	$(CC) $(OP) -o swevents swevents.o -L. -lswe -lm -ldl

swemini: swemini.o libswe.a
	$(CC) $(OP) -o swemini swemini.o -L. -lswe -lm -ldl

# create an archive and a dynamic link libary fro SwissEph
# a user of this library will inlcude swephexp.h  and link with -lswe

libswe.a: $(SWEOBJ)
	ar r libswe.a	$(SWEOBJ)

libswe.so: $(SWEOBJ)
	$(CC) -shared -o libswe.so $(SWEOBJ)

test:
	cd setest && make && ./setest t

test.exp:
	cd setest && make && ./setest -g t

clean:
	rm -f *.o swetest libswe*
	cd setest && make clean
	
###
swecl.o: swejpl.h sweodef.h swephexp.h swedll.h sweph.h swephlib.h
sweclips.o: sweodef.h swephexp.h swedll.h
swedate.o: swephexp.h sweodef.h swedll.h
swehel.o: swephexp.h sweodef.h swedll.h
swehouse.o: swephexp.h sweodef.h swedll.h swephlib.h swehouse.h
swejpl.o: swephexp.h sweodef.h swedll.h sweph.h swejpl.h
swemini.o: swephexp.h sweodef.h swedll.h
swemmoon.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h
swemplan.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h swemptab.h
sweph.o: swejpl.h sweodef.h swephexp.h swedll.h sweph.h swephlib.h
swephlib.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h
swetest.o: swephexp.h sweodef.h swedll.h
swevents.o: swephexp.h sweodef.h swedll.h

=== setest/Makefile ===
TARGETS := setest \
           $(patsubst %.c,%.o,$(wildcard suite_*.c)) 

# Tĥe prerequisites needed for setest alone
OBJECTS := setest.o \
           generated_tests.o \
           checkpoints.o \
           constants.o \
           testdata.o \
           multivalues.o \
           reader.o \
           globals.o

all: $(TARGETS)

clean:
	rm -f $(TARGETS) ${OBJECTS} generated_tests.c

test:	all
	@cd t; ./test.sh 

# Include path to a recent swisseph directory, the include file swephexp.h is needed
#INCL = -I../sweph
INCL = -I..

CFLAGS = -std=gnu99 -fms-extensions -g -Wall -pthread -fPIC 
LIBS = ../libswe.a -lm  
LIBSX = ../libswe.a -lm  
CC=gcc	

setest: $(OBJECTS)
	$(CC) $(CFLAGS) -o setest $(OBJECTS) $(LIBS) -ldl  -lcrypto

setestx: $(OBJECTS)
	$(CC) $(CFLAGS) -o setestx $(OBJECTS) $(LIBSX) -ldl  -lcrypto

generated_tests.c: suite_*.c testsuite.m4 testsuite_end.m4 globals_suite.c
	m4 testsuite.m4 globals_suite.c suite_*.c testsuite_end.m4 >generated_tests.c

# Generate a template for a fixture file 
# (use it only the first time, or if file has been removed)
%.fix: $(TARGETS) gen_fix_templ.m4
	cp --backup=numbered $@ $@.bak 2>/dev/null || :
	m4 gen_fix_templ.m4 suite_*.c >$@

# Generate expectation file from fixture with `make mytest.exp`
%.exp:	
	./setest -g $*

# compilation rule for general cases
.o :
	$(CC) $(INCL) $(CFLAGS) -o $@ $? $(LIBS)
.c.o:
	$(CC) $(INCL) -c $(CFLAGS) $<     


### Dependencies
generated_tests.o: generated_tests.c setest.h checkpoints.h testsuite_final.h globals.h
setest.o: setest.c setest.h globals.h 
suite_2.o: suite_2.c testsuite_facade.h
suite_1.o: suite_1.c testsuite_facade.h
checkpoints.o: checkpoints.c checkpoints.h setest.h
testdata.o: testdata.c testdata.h globals.h multivalues.h setest.h
multivalues.o: testdata.h globals.h multivalues.h setest.h
reader.o: reader.h globals.h

.PHONY: all clean test

## libswe 1.77.00.0004

=== debian/changelog ===
libswe (1.77.00.0004-1) unstable; urgency=low

  * New upstream release
  * move files to $(pkgdatadir)/ephe/
  * upgrade to Standards-Version: 3.9.2

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 14 Jan 2012 00:52:17 -0600

libswe (1.77.00.0003-1) natty; urgency=low

  * New upstream release
  * replace openoffice transition packages with libreoffice packages
  * props needed by new release

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 12 Nov 2011 17:50:50 -0600

libswe (1.77.00.0002-2) unstable; urgency=low

  * location of upstream host moved from berlios to Gna! change docs

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Wed, 09 Nov 2011 21:37:34 -0600

libswe (1.77.00.0002-1) natty; urgency=low

  * create separate -doc package.

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Mon, 03 Oct 2011 21:52:59 -0500

libswe (1.77.00.0001-1) unstable; urgency=low

  * Initial release (Closes: #635672)  <635672 is the bug number of your ITP>
  * done dh_make much configuring remains to be done.
  * remove emacsen-*
  * rename BROKEN to 0. add descriptions. fill in homepage.
  * remove .la file
  * new package swe-basic-data
  * remove init.d.ex, libswe.default.ex
  * install usr/share/doc/libswe/*
  * libswe.doc-base pdf and html
  * Readme.Debian
  * manpage.3
  * libswe.manpage
  * TODO
  * ${misc:Depends} added to libswe-dev
  * move *.ex elsewhere
  * usb/bin added libswe-dev for asample programs.
  * libswe-dev.docbase now uses /usr/share/doc/libswe-dev
  * usr/share/pkgconfig not used in libswe-dev.install
  * build depends on unoconv
  * remove LICNESE in copyright
  * remove upstream INSTALL
  * libswe-dev.manpages
  * swetest.c swemini.c are examples
  * specify them by orignal location.
  * remove upstream ChangeLog
  * add swetest.1 swemini.1 manpages
  * move man pages to swissephauto project
  * move data files to $(pkgdatadir)/users/ephe/
  * patch SE_EPHE_PATH to be a directory that exists!
  * this is ephepath-fix
  * add vcs-svn, vcs-browser
  * control Recommends: swe-basic-data, swe-standard-data
  * explain multi tar ball source.
  * openoffice.org-writer, openoffice.org-java-common needed for unoconv work
  * fix section in control file
  * create a comment only watch file
  * increase description verbosity in control file
  * remove 1st person reference from libswe-dev.doc-base.swisseph
  * new debian/libswe0.symbols file
  * move docdir to /usr/share/doc/libswe-dev
  * insure copyright installed.
  * make install does not install misc docs debian/docs does instead.

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sun, 11 Sep 2011 14:52:56 -0500

=== debian/control ===
Source: libswe
Priority: extra
Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, unoconv, libreoffice-writer, libreoffice-java-common, procps
Standards-Version: 3.9.2
Section: libs
Homepage: http://swissephauto.blackpatchpanel.com/
Vcs-Svn: svn://svn.gna.org/svn/swissephauto/trunk/libswe-1.77.00/
Vcs-Browser: http://svn.gna.org/viewcvs/swissephauto/trunk/libswe-1.77.00/


Package: libswe-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the libswe package
 This package includes all documentation for the libswe package
 including pdfs, html and text files.
 swisseph.(pdf|html) General Documentation for the Swiss Ephemeris.
 swephprg.(pdf|html) Programming interface to the Swiss Ephemeris.

Package: libswe-dev
Section: libdevel
Architecture: any
Depends: libswe0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: C library for The Swiss Ephemeris
 Contains static library, headers, example code and development manpages
 for libswe0.
 The Swiss Ephemeris offers these advantages:
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory. The original integration, DE405, covered the years 3000 BC
 to 3000 AD and required 550 Mb of disk space. DE406 is a compressed
 version of DE405 which requires 200 MB while maintaining a precision
 of better than 1 m for the moon and 25 m for the planets. These data
 have been further compressed with sophisticated compression techniques
 developed by Astrodienst. The ephemeris now requires for the complete
 6000 years only 5 Mb for all planets except the Moon, and 13 Mb for
 the Moon. This compressed ephemeris reproduces the JPL data with 0.001
 arcseconds precision. Astrodienst has extended the timespan of the JPL
 ephemeris by numerical integration, so that Swiss Ephemeris covers the
 years 5400 BC to 5400 AD, a total of 10'800 years. For this extended
 timespan the ephemeris requires 32 Mbytes of ephemeris files.
 All transformation steps from the inertial timeframe of the JPL DE406
 integration to the reference frame for astrological coordinates (true
 equinox of date), all corrections like relativistic aberration,
 deflection of light in the gravity field of the Sun etc. have been
 performed with utmost care and precision so that the target precision
 of 0.001 arcsec is maintained through all transformation steps. Never
 before has such a high precision ephemeris been available to
 astrologers.
 Swiss Ephemeris contains three ephemerides. The user can choose
 whether he/she wants to use the original JPL DE406 data (if available
 at his/her site), the compressed Swiss Ephemeris data (the default) or
 a built in semianalytic theory by Steve Moshier. The Swiss Ephemeris
 package switches automatically to the available best precision
 ephemeris dependent on which installed ephemeris files it finds. Even
 without any stored ephemeris files, using the Moshier model, planetary
 positions with better than 0.1 seconds of arc precision are available
 (3 arcsec for the Moon). 
 In addition to the astronomical planets as contained in the JPL
 integration, Astrodienst has included all other bodies and hypothetical
 factors which are of interest to the astrologer. Astrodienst has used 
 Astrodienst's own  numerical integration program to provide ephemerides 
 for ALL known  asteroids. There are over 55'000 of them and nobody will 
 be able to use them all. Astrodienst distribute these extended asteroid 
 files via Astrodienst's download area; there are also CDROMs available 
 with large  sets of asteroid files. Asteroid reaserachers may be 
 interested in a December  1998 article in the Economist magazine about 
 the naming of  asteroids.
 Speed: The Swiss Ephemeris is precise and fast. On Astrodienst's Linux 
 test machine, a 1000 MHz Pentium III, Astrodienst compute 10'000 complete 
 sets of planetary positions, i.e. 10'000 x 11 planets, in 9 seconds. 
 This is 0.9 milliseconds for the complete set of exact planetary 
 positions
 (consecutive 1 day steps).

Package: libswe0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: swe-basic-data, swe-standard-data
Description: C library for the Swiss Ephemeris
 libswe0 allows programs to access the Swiss Ephemeris.
 The SWISS EPHEMERIS is the high precision ephemeris developed 
 by Astrodienst, largely based upon the DE406 ephemeris from NASA's JPL.
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory. The original integration, DE405, covered the years 3000 BC
 to 3000 AD and required 550 Mb of disk space. DE406 is a compressed
 version of DE405 which requires 200 MB while maintaining a precision
 of better than 1 m for the moon and 25 m for the planets. These data
 have been further compressed with sophisticated compression techniques
 developed by Astrodienst. The ephemeris now requires for the complete
 6000 years only 5 Mb for all planets except the Moon, and 13 Mb for
 the Moon. This compressed ephemeris reproduces the JPL data with 0.001
 arcseconds precision. Astrodiest's have extended the timespan of the 
 JPL ephemeris by numerical integration, so that Swiss Ephemeris covers 
 the years 5400 BC to 5400 AD, a total of 10'800 years. For this extended
 timespan the ephemeris requires 32 Mbytes of ephemeris files.
 All transformation steps from the inertial timeframe of the JPL DE406
 integration to the reference frame for astrological coordinates (true
 equinox of date), all corrections like relativistic aberration,
 deflection of light in the gravity field of the Sun etc. have been
 performed with utmost care and precision so that the target precision
 of 0.001 arcsec is maintained through all transformation steps. Never
 before has such a high precision ephemeris been available to
 astrologers.
 Swiss Ephemeris contains three ephemerides. The user can choose
 whether he/she wants to use the original JPL DE406 data (if available
 at his/her site), the compressed Swiss Ephemeris data (the default) or
 a built in semianalytic theory by Steve Moshier. The Swiss Ephemeris
 package switches automatically to the available best precision
 ephemeris dependent on which installed ephemeris files it finds. Even
 without any stored ephemeris files, using the Moshier model, planetary
 positions with better than 0.1 seconds of arc precision are available
 (3 arcsec for the Moon). 
 In addition to the astronomical planets as contained in the JPL
 integration, Astrodienst's have included all other bodies and 
 hypothetical  factors which are of interest to the astrologer. 
 Astrodienst have used Astrodienst's own numerical integration program 
 to provide ephemerides for ALL known asteroids. There are over 55'000 
 of them and nobody will be able to use them all. Astrodienst distribute 
 these extended asteroid files via Astrodienst's download area; there 
 are also CDROMs available with large sets of asteroid files. Asteroid 
 reaserachers may be interested in a December  1998 article in the 
 Economist magazine about the naming of asteroids.
 Speed: The Swiss Ephemeris is precise and fast. On Astrodienst's Linux 
 test machine, a 1000 MHz Pentium III, Astrodienst compute 10'000 complete 
 sets of planetary positions, i.e. 10'000 x 11 planets, in 9 seconds. This 
 is  0.9 milliseconds for the complete set of exact planetary positions
 (consecutive 1 day steps).

Package: swe-basic-data
Section: science
Architecture: all
Depends: ${misc:Depends}
Description: basic data files for the libswe package
 This package includes basic data files needed by libswe, the Swiss Ephemeris.
 The basic data consists of these files:
 /usr/share/libswe/ephe/sedeltat.txt.inactive
 /usr/share/libswe/ephe/sefstars.txt
 /usr/share/libswe/ephe/seleapsec.txt
 /usr/share/libswe/ephe/seorbel.txt
 /usr/share/libswe/ephe/fixstars.cat
 The Swiss Ephemeris library can be used without installed data,
 if the user provides that data in her own private directory
 and points to it with SE_EPHE_PATH.

## libswe 1.77.00.0005

=== debian/changelog ===
libswe (1.77.00.0005-7) unstable; urgency=low

  * Standards-Version: 3.9.4
  * debian/compat  is 9
  * disable these errors  -Wno-error=format-security -Wno-format
  * Multi arch
  * fix vcs-field-not-canonical

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 08 Aug 2013 03:56:34 -0500

libswe (1.77.00.0005-6) unstable; urgency=low

  * Fix "FTBFS all arches" Don't build docs for arch dependent builds (Closes:
    #718715)

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Wed, 07 Aug 2013 13:25:26 -0500

libswe (1.77.00.0005-5) unstable; urgency=low

  * Fix "FTBFS: Unable to store document to private:stream 
    (ErrCode 3088)" 
    changed src/Makefile.am unoconv --stdout to unoconv -o
    sleep 20 sec after starting unoconv listner
    (Closes: #718090)

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Fri, 02 Aug 2013 17:25:10 -0500

libswe (1.77.00.0005-4) unstable; urgency=low

  * upgrade to Standards-Version: 3.9.3
  * upgrade copyright file to dep-5

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 05 Apr 2012 03:15:09 -0500

libswe (1.77.00.0005-3) unstable; urgency=low

  * add Vcs fields for collab-maint repository

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 03 Mar 2012 15:14:13 -0600

libswe (1.77.00.0005-2) unstable; urgency=low

  * New upstream release
  * empty writable home dir for LO (closes: #635672)
  * Build-Depends-Indep for LO and dependencies

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Wed, 01 Feb 2012 15:05:52 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: extra
 Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, unoconv, libreoffice-writer, libreoffice-java-common, procps
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9~), autotools-dev
+Build-Depends-Indep: unoconv, libreoffice-writer, libreoffice-java-common, procps
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://swissephauto.blackpatchpanel.com/
-Vcs-Svn: svn://svn.gna.org/svn/swissephauto/trunk/libswe-1.77.00/
-Vcs-Browser: http://svn.gna.org/viewcvs/swissephauto/trunk/libswe-1.77.00/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libswe.git/
+Vcs-browser: http://anonscm.debian.org/git/collab-maint/libswe.git/
 
 
 Package: libswe-doc
@@ -78,7 +79,9 @@
 
 Package: libswe0
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Recommends: swe-basic-data, swe-standard-data
 Description: C library for the Swiss Ephemeris
  libswe0 allows programs to access the Swiss Ephemeris.
@@ -135,6 +138,7 @@
 Section: science
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: basic data files for the libswe package
  This package includes basic data files needed by libswe, the Swiss Ephemeris.
  The basic data consists of these files:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#libswe uses depredicated calls warnings are not errors.
export DEB_CFLAGS_MAINT_APPEND  = -Wno-error=format-security -Wno-format

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ 


override_dh_auto_configure-arch:
	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc --disable-docs 
override_dh_auto_configure-indep:
	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc

## libswe 1.80.00.0001

=== debian/changelog ===
libswe (1.80.00.0001-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 03 Jan 2014 15:44:19 -0500

libswe (1.80.00.0001-1) unstable; urgency=low

  * New upstream version 1.80.00
  * all libswe0 symbols assumed to have new behavior for 1.80

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sun, 22 Sep 2013 14:07:17 -0500

libswe (1.79.00.0001-1) unstable; urgency=low

  * all libswe0 symbols have new behavior for 1.79
  * replace patch to astrodienst/src/swephexp.h
    with debian/rules DEB_CPPFLAGS_MAINT_APPEND parameter
  * harden library swetest against buffer overflow attacks on sprintf
  * harden swetest agaist buffer format attacks on printf
  * specify version of swe-basic-data in recommends 1.79
  * allow -Werror=format-security -Wformat errors. (closes: #719653)
  * shorten description. (closes:  #681215)
  * fix dep-3 headers

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Tue, 20 Aug 2013 15:17:51 -0500

libswe (1.78.00.0001-1) unstable; urgency=low

  * New upstream version 1.78.00
  * update debian/libswe0.symbols
  * specify version of swe-basic-data in recommends
  * change copyright because libswe-doc no longer in this source package

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Mon, 12 Aug 2013 23:54:42 -0500

libswe (1.77.00.0006-1) unstable; urgency=low

  * Remove libswe-doc package. Will have it's own source package.

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Sat, 10 Aug 2013 17:29:58 -0500

=== debian/control ===
Source: libswe
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Elliott <pelliott@blackpatchpanel.com>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: debhelper (>= 9~), dh-autoreconf
Standards-Version: 3.9.4
Section: libs
Homepage: http://swissephauto.blackpatchpanel.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/libswe.git/
Vcs-browser: http://anonscm.debian.org/git/collab-maint/libswe.git/


Package: libswe-dev
Section: libdevel
Architecture: any
Depends: libswe0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: C library for The Swiss Ephemeris
 Contains static library, headers, example code and development manpages
 for libswe0.
 The Swiss Ephemeris offers these advantages:
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory. 

Package: libswe0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Recommends: swe-basic-data (>=1.80.00), swe-standard-data
Description: C library for the Swiss Ephemeris
 libswe0 allows programs to access the Swiss Ephemeris.
 The SWISS EPHEMERIS is the high precision ephemeris developed 
 by Astrodienst, largely based upon the DE406 ephemeris from NASA's JPL.
 The Swiss Ephemeris is based upon the latest planetary and lunar
 ephemeris, DE405/406, developed by NASA's Jet Propulsion
 Laboratory.

Package: swe-basic-data
Section: science
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: basic data files for the libswe package
 This package includes basic data files needed by libswe, the Swiss Ephemeris.
 The basic data consists of these files:
 /usr/share/libswe/ephe/sedeltat.txt.inactive
 /usr/share/libswe/ephe/sefstars.txt
 /usr/share/libswe/ephe/seleapsec.txt
 /usr/share/libswe/ephe/seorbel.txt
 /usr/share/libswe/ephe/fixstars.cat
 The Swiss Ephemeris library can be used without installed data,
 if the user provides that data in her own private directory
 and points to it with SE_EPHE_PATH.

=== debian/watch ===
version=3
    http://download.gna.org/swissephauto/libswe-(\d+\.\d+\.\d+\.\d+).tar.bz2

## libswe 1.80.00.0002

=== debian/changelog ===
libswe (1.80.00.0002-1ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:35 +0000

libswe (1.80.00.0002-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 30 Jun 2014 20:08:18 -0400

libswe (1.80.00.0002-1) unstable; urgency=medium

  * proper includedir (closes:  #751360)
  * Standards-Version: 3.9.5

 -- Paul Elliott <pelliott@blackpatchpanel.com>  Thu, 12 Jun 2014 01:21:59 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,16 +9,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#libswe uses depredicated calls warnings are not errors.
-export DEB_CFLAGS_MAINT_APPEND  = -Wno-error=format-security -Wno-format
+# replace #define macro in astrodienst/src/sweph.h
+# which defines location of swiss empheris data
+# this used to be a patch
+export DEB_CPPFLAGS_MAINT_APPEND  = -DSE_EPHE_PATH=\".:/usr/share/libswe/ephe2/:/usr/share/libswe/ephe/\"
+
+
+
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ 
+	dh $@ --with autoreconf 
 
 
-override_dh_auto_configure-arch:
-	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc --disable-docs 
-override_dh_auto_configure-indep:
+override_dh_auto_configure:
 	dh_auto_configure -- --docdir=\$${prefix}/share/doc/libswe-doc

## libswe 2.10.03

=== debian/changelog ===
libswe (2.10.03-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:47:51 +0200

libswe (2.10.03-3) unstable; urgency=medium

  * Apply multi-arch hints: swetest drop Multi-Arch: same
  * Remove gitignore file, use .git/info/exclude instead
  * Add Replaces+Breaks to swetest (closes: #1034930)

 -- Stanislas Marquis <stan@astrorigin.com>  Sun, 30 Apr 2023 19:01:56 +0200

libswe (2.10.03-2) unstable; urgency=medium

  * Acknowledge NMU by Paul Gevers
  * Mark libswe-doc with 'Multi-Arch: foreign' (commit a5a6aedc)
  * Use dpkg-buildflags to get compiler and linker flags (commit d6a4a3eb)
  * Update version of swe-data in d/control (commit d6a4a3ebff)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Mon, 06 Feb 2023 01:19:48 -0500

libswe (2.10.03-1) unstable; urgency=medium

  * Refresh the package with swisseph version 2.10.03 (commit 175e1fcb), and
    closes: #1020741.
  * Library's major version number is now 2, to respect upstream's own
    numbering (binary package 'libswe0' becomes 'libswe2.0').
  * Anything concerning static data files (ephemeris files etc) is gone to
    source package 'swe-data'.
  * The 'swetest' application is updated and has numerous bugs fixed.
    In particular, option '-ut' now works (closes: #1011976).
  * The Debian 'control' file is reviewed. Binary packages point to
    'libswe-doc' as suggested package (closes: #849898).
  * Dropped Autotools for a simpler build and install process with Makefiles.
  * Documentation in HTML and PDF is generated from Markdown files.

 -- Stanislas Marquis <stan@astrorigin.com>  Mon, 26 Sep 2022 01:33:09 +0200

libswe (1.80.00.0002-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:48 +0100

=== debian/control ===
Source: libswe
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stanislas Marquis <stan@astrorigin.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pandoc,
 texlive-xetex,
 texlive-fonts-recommended,
 lmodern
Standards-Version: 4.6.1
Homepage: https://www.astro.com/swisseph
Vcs-Browser: https://salsa.debian.org/debian-astrology-team/libswe
Vcs-Git: https://salsa.debian.org/debian-astrology-team/libswe.git

Package: libswe-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libswe2.0 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (development).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 This package installs the files required for development with the Swiss
 Ephemeris library (version 2).

Package: libswe2.0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libc6,
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libswe0,
Conflicts:
 libswe0,
Suggests:
 libswe-dev (= ${binary:Version}),
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (runtime).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 This package installs the runtime files for programs making use of the Swiss
 Ephemeris library (version 2).

Package: libswe-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libswe2.0 (= ${binary:Version}),
 libswe-dev (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris C library (documentation).
 The Swiss Ephemeris is the de-facto standard library for astrological
 calculations. It is a high-precision ephemeris, based upon the DE431
 ephemerides from NASA's JPL, and covering the time range 13201 BC to AD
 17191.
 .
 The Swiss Ephemeris documentation comes in two parts, a general manual, and
 a programmer's manual.

Package: swetest
Section: misc
Architecture: any
Depends:
 libswe2.0 (>= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
 libswe-dev (<< 2.10.03),
Breaks:
 libswe-dev (<< 2.10.03),
Suggests:
 libswe-doc (= ${binary:Version}),
 swe-data (>= 4.0-20221111),
Description: Swiss Ephemeris test application.
 'swetest' is an example CLI application demonstrating many, if not most,
 of the capabilities of the Swiss Ephemeris library. For example: calculation
 of celestial positions of planets, asteroids, fixed stars, and fictitious
 objects, western and numerous indian zodiac styles, astrological house
 systems, eclipses, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_clean:
	dh_auto_clean -- -f debian/Makefile.debian

override_dh_auto_build:
	dh_auto_build -- -f debian/Makefile.debian

override_dh_auto_install:
	dh_auto_install -- -f debian/Makefile.debian

override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
	https://github.com/aloistr/swisseph/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
